package com.bc_chat.contacts.contract


import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：创建群
 */

interface ModifyGroupNickContract {

    interface Presenter {

        /**
         * 修改群名称
         */
        fun modifyGroupNick(groupId: String?, groupName: String?, userName: String?, uids: String)
    }

    interface View : BaseContract.BaseView {

        fun modifyGroupNickSuccess()

        fun modifyGroupNickFailure(exception: Exception)
    }
}
